Skip to main content
O&M Management/Monitoring APIs/Monitoring and Alarm APIs/Alarm
PUTAlarmSince 3.3.0SynchronousAuth Required

Update Alarm Data

Update Alarm Data

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • updatealarmdataObjectRequired

    updatealarmdata request body object.

    • dataUuidString

      The UUID of the resource. Uniquely identifies the resource.

    • dataStartTimeLong

      Start time for selecting target messages. The updateMode must be set to InRange.

    • dataEndTimeLong

      End time for selecting target messages. The updateMode must be set to InRange.

    • updateModeStringRequired

      The scope of target messages to update. OnlyOne updates only the specified message, InRange updates messages within a time range, and All updates all messages.

    • readStatusString

      Update message read status.

  • systemTagsList

    System tags.

  • userTagsList

    User tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/zwatch/alarm-histories/actions

/zstack/v1/zwatch/alarm-histories/actions

Operation ID

UpdateAlarmData

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/zwatch/alarm-histories/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatealarmdata":{"dataUuid":"<dataUuid>","dataStartTime":1,"dataEndTime":1,"updateMode":"<updateMode>","readStatus":"<readStatus>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history